View Issue Details

IDProjectCategoryView StatusLast Update
0002534SymmetricDSImprovementpublic2016-03-29 14:13
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.31Fixed in Version3.7.31 
Summary0002534: Allow user to override transaction isolation level
DescriptionAllow user to override transaction isolation level. Currently, we use read committed on most platforms and some platforms use read repeatable. There are a few cases where the user should be able to specify the level needed.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 b65e3868

2016-03-24 12:33:59

admin

Details Diff
0002534: Allow user to override transaction isolation level
0002534
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlTemplateSettings.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2016-03-23 13:09 elong New Issue
2016-03-23 13:09 elong Status new => assigned
2016-03-23 13:09 elong Assigned To => elong
2016-03-24 12:34 elong Status assigned => resolved
2016-03-24 12:34 elong Fixed in Version => 3.7.31
2016-03-24 12:34 elong Resolution open => fixed
2016-03-24 13:00 admin Changeset attached => SymmetricDS 3.7 b65e3868
2016-03-29 14:13 chenson Status resolved => closed